Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040ExternalObservation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040ExternalObservationImpl

    public interface POCDMT000040ExternalObservation

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 External Observation'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Text`
- `Class Code`
- `Mood Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040ExternalObservation()`

Method Summary
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CD` | `getCode()` Returns the value of the 'Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`org.eclipse.emf.common.util.Enumerator` | `getMoodCode()` Returns the value of the 'Mood Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`ED` | `getText()` Returns the value of the 'Text' containment reference.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`boolean` | `isSetMoodCode()` Returns whether the value of the '`Mood Code`' attribute is set.
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CD value)` Sets the value of the '`Code`' containment reference.
`void` | `setMoodCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Mood Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setText(ED value)` Sets the value of the '`Text`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.
`void` | `unsetMoodCode()` Unsets the value of the '`Mood Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ExternalObservation_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040ExternalObservation_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ExternalObservation_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ExternalObservation_Id()`

### getCode

    CD getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CD)`, `CDAR2Package.getPOCDMT000040ExternalObservation_Code()`

### setCode

    void setCode(CD value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getText

    ED getText()

  Returns the value of the 'Text' containment reference.

  If the meaning of the 'Text' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text' containment reference.
  See Also:
    `setText(ED)`, `CDAR2Package.getPOCDMT000040ExternalObservation_Text()`

### setText

    void setText(ED value)

  Sets the value of the '`Text`' containment reference.

  Parameters:
    `value` - the new value of the 'Text' containment reference.
  See Also:
    `getText()`

### getClassCode

    org.eclipse.emf.common.util.Enumerator getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"OBS"`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040ExternalObservation_ClassCode()`

### setClassCode

    void setClassCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### getMoodCode

    org.eclipse.emf.common.util.Enumerator getMoodCode()

  Returns the value of the 'Mood Code' attribute. The default value is `"EVN"`.

  If the meaning of the 'Mood Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `isSetMoodCode()`, `unsetMoodCode()`, `setMoodCode(Enumerator)`, `CDAR2Package.getPOCDMT000040ExternalObservation_MoodCode()`

### setMoodCode

    void setMoodCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Mood Code`' attribute.

  Parameters:
    `value` - the new value of the 'Mood Code' attribute.
  See Also:
    `isSetMoodCode()`, `unsetMoodCode()`, `getMoodCode()`

### unsetMoodCode

    void unsetMoodCode()

  Unsets the value of the '`Mood Code`' attribute.

  See Also:
    `isSetMoodCode()`, `getMoodCode()`, `setMoodCode(Enumerator)`

### isSetMoodCode

    boolean isSetMoodCode()

  Returns whether the value of the '`Mood Code`' attribute is set.

  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `unsetMoodCode()`, `getMoodCode()`, `setMoodCode(Enumerator)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040ExternalObservation_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD